import request,{postBlob} from '@/utils/request'

// 获取网点损溢单列表
export function getLostSheetList(params) {
  return request({
    url: '/shop/lost/list',
    method: 'get',
    params
  })
}

// 获取网点损溢单信息
export function getLostSheet(params) {
  return request({
    url: '/shop/lost/detail',
    method: 'get',
    params
  })
}

// 新增网点损溢单
export function addLostSheet(params) {
  return request({
    url: '/shop/lost/add',
    method: 'post',
    data: params
  })
}

// 编辑网点损溢单
export function editLostSheet(params) {
  return request({
    url: '/shop/lost/update',
    method: 'post',
    data: params
  })
}

// 删除网点损溢单
export function delLostSheet(params) {
  return request({
    url: '/shop/lost/del',
    method: 'post',
    params
  })
}

// 审核网点损溢单
export function confirmLostSheet(params) {
  return request({
    url: '/shop/lost/confirm',
    method: 'post',
    params
  })
}


export function getNewLostSheetList(data) {
  console.log(data,999);
  return request({
    url: `/shop/lost/zfire/list?moduleId=${data.moduleId}`,
    method: "post",
    data
  });
}

// 导出
export function exportNewGetLostSheetList(data, name) {
  return postBlob({
    url: '/shop/lost/zfire/list/export',
    data,
    name
  })
}