import request,{postBlob} from '@/utils/request'

// 获取网点辅材列表
export function getShopGoodsList(params) {
  return request({
    url: '/shop/goods/list',
    method: 'get',
    params
  })
}

export function getNewShopGoodsList(data) {
  console.log(data,999);
  return request({
    url: `/shop/goods/zfire/list?moduleId=${data.moduleId}`,
    method: "post",
    data
  });
}

// 导出
export function exportNewShopGoodsList(data, name) {
  return postBlob({
    url: '/shop/goods/zfire/list/export',
    data,
    name
  })
}