import request,{postBlob}  from '@/utils/request'

// 新增采购调整单
export function purchaseAdjustmentSheetAdd(params) {
  return request({
    url: '/shop/purchase-adjustment/add',
    method: 'post',
    data: params
  })
}

// 采购调整单审核
export function purchaseAdjustmentSheetConfirm(params) {
  return request({
    url: '/shop/purchase-adjustment/confirm',
    method: 'get',
    params
  })
}

// 采购调整单提交
export function purchaseAdjustmentSheetSubmit(params) {
  return request({
    url: '/shop/purchase-adjustment/submit',
    method: 'get',
    params
  })
}

// 采购调整单撤消
export function purchaseAdjustmentSheetRevoke(params) {
  return request({
    url: '/shop/purchase-adjustment/revoke',
    method: 'get',
    params
  })
}

// 删除采购调整单
export function purchaseAdjustmentSheetDel(params) {
  return request({
    url: '/shop/purchase-adjustment/del',
    method: 'get',
    params
  })
}

// 编辑采购调整单
export function purchaseAdjustmentSheetEdit(params) {
  return request({
    url: '/shop/purchase-adjustment/update',
    method: 'post',
    data: params
  })
}

// 获取采购调整单信息
export function purchaseAdjustmentSheetDetail(params) {
  return request({
    url: '/shop/purchase-adjustment/detail',
    method: 'get',
    params
  })
}

// 获取采购调整单列表
export function purchaseAdjustmentSheetList(params) {
  return request({
    url: '/shop/purchase-adjustment/list',
    method: 'get',
    params
  })
}

export function getNewPurchaseAdjustmentSheetList(data) {
  console.log(data,999);
  return request({
    url: `/shop/purchase-adjustment/zfire/list?moduleId=${data.moduleId}`,
    method: "post",
    data
  });
}

// 导出
export function exportNewPurchaseAdjustmentSheetList(data, name) {
  return postBlob({
    url: '/shop/purchase-adjustment/zfire/list/export',
    data,
    name
  })
}
